National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-2642 Detail

Current Description

Heap-based buffer overflow in the AFM font parser in the dvi-backend component in Evince 2.32 and earlier, teTeX 3.0, t1lib 5.1.2, and possibly other products allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted font in conjunction with a DVI file that is processed by the thumbnailer.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.6 HIGH
Vector: (AV:N/AC:H/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 4.9


Access Vector (AV): Network
Access Complexity (AC): High
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://git.gnome.org/browse/evince/commit/?id=d4139205b010ed06310d14284e63114e88ec6de2 Patch
http://lists.fedoraproject.org/pipermail/package-announce/2011-January/052910.html
http://lists.fedoraproject.org/pipermail/package-announce/2011-January/052995.html
http://lists.mandriva.com/security-announce/2011-01/msg00006.php
http://lists.opensuse.org/opensuse-security-announce/2011-04/msg00000.html
http://rhn.redhat.com/errata/RHSA-2012-1201.html
http://www.debian.org/security/2011/dsa-2357
http://www.mandriva.com/security/advisories?name=MDVSA-2011:016
http://www.mandriva.com/security/advisories?name=MDVSA-2011:017
http://www.mandriva.com/security/advisories?name=MDVSA-2012:144
http://www.redhat.com/support/errata/RHSA-2011-0009.html
http://www.securityfocus.com/bid/45678
http://www.securitytracker.com/id?1024937
http://www.ubuntu.com/usn/USN-1035-1
http://www.vupen.com/english/advisories/2011/0029 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0043 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0056
http://www.vupen.com/english/advisories/2011/0097
http://www.vupen.com/english/advisories/2011/0102
http://www.vupen.com/english/advisories/2011/0193
http://www.vupen.com/english/advisories/2011/0194
https://bugzilla.redhat.com/show_bug.cgi?id=666318 Patch
https://security.gentoo.org/glsa/201701-57

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:redhat:evince:0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:0.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.19:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.20:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.21:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.22:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.23:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.24:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.25:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.26:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.27:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.28:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.29:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.29.92:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.30:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.30.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.30.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.4.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.6.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.90:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:2.31.92:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:evince:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
2.32
 cpe:2.3:a:t1lib:t1lib:5.1.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:tug:tetex:3.0:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-2642
NVD Published Date:
01/07/2011
NVD Last Modified:
06/30/2017